<?xml version="1.0" encoding="utf-8"?>
<!-- Artefact: XSLT Generator for XForms for Editing of Documents without namespaces -->
<!-- Version: 1.0 -->
<!-- Date: February 2007 -->
<!-- Author: Stephen Green, SystML -->
<!-- LEGAL NOTICES: -->
<!-- Copyright SystML, www.systml.co.uk (2006-2007). All Rights Reserved. -->
<!-- Other Notes: -->
<!-- LIMITATION: No guarantee is given about the quality of the XForms generated and some manual editing of the output may be necessary. The Stylesheet is provided AS IS. -->
<xsl:stylesheet version="1.0" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
	<!-- import the appropriate common stylesheet --> 
  	<xsl:import href="../common/Input.xsl" /> 
	<!-- Output is set for XHTML. -->
	<xsl:output indent="yes" method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" encoding="utf-8"/>
	<xsl:template match="/">
		<html xmlns:xforms="http://www.w3.org/2002/xforms">
			<head>
				<title><xsl:text>Edit </xsl:text><xsl:value-of select="local-name(/*)"/></title>
				<xforms:model id="m1">
					<xsl:attribute name="schema"><xsl:value-of select="concat('./XML/',/*/@*[local-name()='noNamespaceSchemaLocation'])"/></xsl:attribute>
					<!-- This stylesheet produces an xforms form which takes as its source instance an XML file external to the form. The name of the file is assumed here to be something -->
					<!--    like 'Output.xml' so either this name can be changed in the stylesheet here as necessary or provision can be made to dynamically -->
					<!--    allow the form user to determine the source file name (to be considered for later versions of this XForms-generating stylesheet). -->
					<xforms:instance id="i1">
						<xsl:attribute name="src">./XML/Output.xml</xsl:attribute>
					</xforms:instance>
					<!--  In this case the form submission results in edited data being written back to and saved in the original source file, provided access to this file is allowed to the editor. -->
					<xforms:submission method="put" id="s1">
						<xsl:attribute name="action">./XML/Output.xml</xsl:attribute>
					</xforms:submission>
				</xforms:model>
				<link rel="stylesheet" href="../common/style.css" type="text/css"/>
			</head>
			<body>
				<p>
					<xforms:submit submission="s1">
						<xforms:label>Submit</xforms:label>
					</xforms:submit>
				</p>
				<h1>
					<xsl:value-of select="local-name(/*)"/>
				</h1>
				<xsl:apply-templates mode="attribute" select="/*/@*[not(local-name(.)='noNamespaceSchemaLocation')]"/>
				<xsl:apply-templates mode="inputs" select="/*"/>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
